<?php

namespace App\Console\Commands;

use App\Modules\Models\DayIncome\DayIncome;
use App\Repositories\Business\RentRepository;
use Illuminate\Console\Command;

class DayProfit extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'DayProfit {--day=}';


    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '每日的收益数据整理';


    protected $rent;


    public function __construct(RentRepository $rent)
    {
        parent::__construct();
        $this->rent = $rent;
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //
        $day = $this->option('day');

        echo 'ma'.$day;
        exit;

    }
}
